summaryrefslogtreecommitdiff
path: root/dev-python/dictpath
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-10 17:12:20 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-10 17:12:20 +0000
commita37088132ba08a680bbc5bbce95ce927251b9787 (patch)
treec0553d0c66198d69020df9f918c8fc969789399e /dev-python/dictpath
parent0ee2f45fa8b6f82dfeae57db7d4f0e5afeab3d49 (diff)
downloadbaldeagleos-repo-a37088132ba08a680bbc5bbce95ce927251b9787.tar.gz
baldeagleos-repo-a37088132ba08a680bbc5bbce95ce927251b9787.tar.xz
baldeagleos-repo-a37088132ba08a680bbc5bbce95ce927251b9787.zip
Adding metadata
Diffstat (limited to 'dev-python/dictpath')
-rw-r--r--dev-python/dictpath/Manifest1
-rw-r--r--dev-python/dictpath/dictpath-0.1.3.ebuild39
-rw-r--r--dev-python/dictpath/metadata.xml9
3 files changed, 49 insertions, 0 deletions
diff --git a/dev-python/dictpath/Manifest b/dev-python/dictpath/Manifest
new file mode 100644
index 000000000000..67f266fb4845
--- /dev/null
+++ b/dev-python/dictpath/Manifest
@@ -0,0 +1 @@
+DIST dictpath-0.1.3.gh.tar.gz 10823 BLAKE2B 4b9ef37810f9267790dbea8d858fd768c2bed7f7c1987a83bb2bd2ac81cc2c61b334a473c73dfa300adba77522d4d5c985a4278828a85c04fe330e94570a5dcc SHA512 bc5929856401854588b570a8b22cae66d4ea190d344ce1417f7406ab8a9859a10310a454d9f3d380eae1061ed93346a43f4ee6c19b1afedf6b5d8a1ba1431ed5
diff --git a/dev-python/dictpath/dictpath-0.1.3.ebuild b/dev-python/dictpath/dictpath-0.1.3.ebuild
new file mode 100644
index 000000000000..21371f088ba9
--- /dev/null
+++ b/dev-python/dictpath/dictpath-0.1.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+# Upstream has renamed to pathable after v0.1.3
+DESCRIPTION="Object-oriented dictionary paths"
+HOMEPAGE="
+ https://pypi.org/project/dictpath/
+"
+SRC_URI="
+ https://github.com/p1c2u/pathable/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/pathable-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/dictpath/metadata.xml b/dev-python/dictpath/metadata.xml
new file mode 100644
index 000000000000..7ad11570cc7d
--- /dev/null
+++ b/dev-python/dictpath/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file